Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.impl
Class Log4jLogEvent.Builder

    java.lang.Object
      org.apache.logging.log4j.core.impl.Log4jLogEvent.Builder

All Implemented Interfaces:
  Builder<LogEvent>

Enclosing class:
  Log4jLogEvent

    public static class Log4jLogEvent.Builder

extends Object
implements Builder<LogEvent>

Constructor Summary
`Log4jLogEvent.Builder()`

Method Summary
`Log4jLogEvent` | `build()` Builds the plugin object after all configuration has been set.
`Log4jLogEvent.Builder` | `setLevel(org.apache.logging.log4j.Level level)`
`Log4jLogEvent.Builder` | `setLoggerFqcn(String loggerFqcn)`
`Log4jLogEvent.Builder` | `setLoggerName(String loggerName)`
`Log4jLogEvent.Builder` | `setMarker(org.apache.logging.log4j.Marker marker)`
`Log4jLogEvent.Builder` | `setMessage(org.apache.logging.log4j.message.Message message)`
`Log4jLogEvent.Builder` | `setThrown(Throwable thrown)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jLogEvent.Builder

    public Log4jLogEvent.Builder()

Method Detail

### setLoggerFqcn

    public Log4jLogEvent.Builder setLoggerFqcn(String loggerFqcn)

### setMarker

    public Log4jLogEvent.Builder setMarker(org.apache.logging.log4j.Marker marker)

### setLevel

    public Log4jLogEvent.Builder setLevel(org.apache.logging.log4j.Level level)

### setLoggerName

    public Log4jLogEvent.Builder setLoggerName(String loggerName)

### setMessage

    public Log4jLogEvent.Builder setMessage(org.apache.logging.log4j.message.Message message)

### setThrown

    public Log4jLogEvent.Builder setThrown(Throwable thrown)

### build

    public Log4jLogEvent build()

  Description copied from interface: `Builder`
  Builds the plugin object after all configuration has been set. This will use default values for any unspecified attributes for the plugin.

  Specified by:
    `build` in interface `Builder<LogEvent>`
  Returns:
    the configured plugin instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.